Subject: [PATCH v4] ARM: Fix sparse warnings due to variables conflicts.

From: [email-masked] (Sourav Poddar)
Date: Thu, 14 Oct 2010 10:06:13 +0530

On Saturday 09 October 2010 04:52 AM, Russell King - ARM Linux wrote:
> On Fri, Oct 08, 2010 at 06:32:29AM -0500, Nishanth Menon wrote:
>    
>> Poddar, Sourav had written, on 10/08/2010 12:53 AM, the following:
>>      
>>> Fix the sparse warnings generated due to conflicts in variables used in readl/writel.
>>>
>>>
>>> drivers/net/smc91x.c:312:8: warning: symbol '__v' shadows an earlier one
>>> drivers/net/smc91x.c:312:8: originally declared here
>>>
>>> With this change, about 200 sparse warnings are fixed.
>>>        
>> The commit message could be a little more detailed.
>> see http://marc.info/?l=linux-omap&m=128648102511076&w=2
>>
>> also should $subject say ARM: io: fix namespace conflict
>> to better reflect the fix? sparse warnings are just an indication IMHO
>>      
> afaics, this patch will cause checkpatch to issue warnings due to lines
> over 80 characters.
>
> I can't check that because I don't have the original patch via the
> linux-arm-kernel mailing list.
>    
     Hi,

      I have posted a new patch with  the checkpatch issues fixed.
      Link to this patch is:
         http://marc.info/?l=linux-arm-kernel&m=128697013901237&w=2

      Regards,
      Sourav